org.apache.calcite.avatica.remote

## Class AvaticaCommonsHttpClientSpnegoImpl.EmptyCredentials

- java.lang.Object
- - org.apache.calcite.avatica.remote.AvaticaCommonsHttpClientSpnegoImpl.EmptyCredentials

All Implemented Interfaces:
  org.apache.http.auth.Credentials

Enclosing class:
  AvaticaCommonsHttpClientSpnegoImpl

    private static class AvaticaCommonsHttpClientSpnegoImpl.EmptyCredentials
    extends Object
    implements org.apache.http.auth.Credentials

A credentials implementation which returns null.

### Field Summary

Fields
`static AvaticaCommonsHttpClientSpnegoImpl.EmptyCredentials` `INSTANCE`

### Constructor Summary

Constructors
`private` `EmptyCredentials()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getPassword()`
`Principal` `getUserPrincipal()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final AvaticaCommonsHttpClientSpnegoImpl.EmptyCredentials INSTANCE

### Constructor Detail

#### EmptyCredentials

    private EmptyCredentials()

### Method Detail

#### getPassword

    public String getPassword()

Specified by:
  `getPassword` in interface `org.apache.http.auth.Credentials`

#### getUserPrincipal

    public Principal getUserPrincipal()

Specified by:
  `getUserPrincipal` in interface `org.apache.http.auth.Credentials`